Package require.plt contributed by ryanc [docs]
To load: (require (planet ryanc/require:1:3/require))
Old style:(require (planet "require.ss" ("ryanc" "require.plt" 1 3)))
Package description:
Require is a library that lets one name external modules or packages and use short abbreviations for requiring those external modules or packages. In addition, it provides a single point of specification for the location and version number of the packages being used.
Downloads this week: 1
Total downloads: 11869
Tickets:1
Open tickets:1
Primary files:
NameContract
define-module
define-library
hygienic:define-module
hygienic:define-library
 Current version
PLaneT versionExternal versionSourceDLsDocsReq. PLTDate added
(1 3)1.3
10526
[none]2007-05-26
To load: (require (planet ryanc/require:1:3/require))
Available in repositories: 4.x, 3xx
Added namespace functions to those defined by 'define-module' and 'define-library'.
 Open tickets
[All Tickets] [New Ticket]
Ticket IdOwnerReporterTypeVersion
124ryancdougorleans@…enhancement(1 3)
rename require.ss to main.ss

 Old versions
PLaneT versionExternal versionSourceDLsDocsReq. PLTDate added
(1 2)1.2
6
[none]2007-05-22
To load: (require (planet "require.ss" ("ryanc" "require.plt" 1 (= 2))))
Available in repositories: 3xx, 4.x
Changed metadata so that all versions of require.plt can be loaded together.
(1 1)1.1
14
[none]2007-05-21
To load: (require (planet "require.ss" ("ryanc" "require.plt" 1 (= 1))))
Available in repositories: 4.x, 3xx
[no release notes]
(1 0)1.0
1323
[none]2007-04-01
To load: (require (planet "[file]" ("ryanc" "require.plt" 1 (= 0))))
Available in repositories: 4.x, 3xx
[no release notes]